<template>

   <div>

    <table style="width: 100%; border: 1px solid #ddd;" id="error">
      <tr>
        <th>
            Operator Name
        </th>
        <th>
            Muhammad Usman
        </th>
      </tr>
      <tr>
        <td>
            To load the new data: Click on the button
        </td>
        <td>
            <button class="button" onclick="window.location.reload();">Load Data</button>
        </td>
      </tr>
      <tr>
        <td>
          No. of request received for errors
        </td>
        <td>
          {{ temp }}
        </td>
      </tr>
    </table>
    <table style="width: 100%; border: 1px solid #ddd; text-align:center;" id="error">
      <tr>
        <th>
            Combinations
        </th>
        <th>
            Intersection Count
        </th>
      </tr>
      <tr>
        <td>
          Resolved & Unresolved
        </td>
        <td>
          {{resolved_unresolved}}
        </td>
      </tr>
      <tr>
        <td>
          Resolved & Backlog
        </td>
        <td>
          {{resolved_backlog}}
        </td>
      </tr>
      <tr>
        <td>
          Unresolved & Backlog
        </td>
        <td>
          {{unresolved_backlog}}
        </td>
      </tr>
    </table>

    <table style="width: 100%; border: 1px solid #ddd;" id="error">
      <tr>
        <th>
          Resolved
        </th>
        <th>
          Unresolved
        </th>
        <th>
          Backlog
        </th>
      </tr>
      <tr v-for ="(error, index) in resolved">
        <td>
          <table style="width: 100%; border: 1px solid #ddd;" id="error">
            <tr>
              <td>
              {{ error.code }}
              </td>
              <td>
              {{ error.text }}
              </td>
              <td>
              <button v-on:click="move" class="button">Move</button>
              </td>
            </tr>
          </table>
        </td>
        <td>
          <table style="width: 100%; border: 1px solid #ddd;" id="error">
            <tr>
              <td>
              {{ unresolved[index].code }}
              </td>
              <td>
              {{ unresolved[index].text }}
              </td>
              <td>
              <button v-on:click="move" class="button">Move</button>
              </td>
            </tr>
          </table>
        </td>
        <td>
          <table style="width: 100%; border: 1px solid #ddd;" id="error">
            <tr>
              <td>
              {{ backlog[index].code }}
              </td>
              <td>
              {{ backlog[index].text }}
              </td>
              <td>
              <button v-on:click="move" class="button">Move</button>
              </td>
            </tr>
          </table>
        </td>
      </tr>
    </table>
  </div>
</template>

<script>
import axios from 'axios';

export default {

  data () {
      return{
          temp: 0
          }
  },

  async fetch() {
      this.temp = await fetch(
        'http://localhost:8000/count_of_error'
      ).then(res => res.json())
  },

  async asyncData({ $axios }) {
    try {
      const { resolved, unresolved, backlog } = await $axios.$get(
        "http://localhost:8000/get_lists"
      );
      const { resolved_unresolved, resolved_backlog, unresolved_backlog } = await $axios.$get(
        "http://localhost:8000/get_list_intersection_counts"
      );
      return {
        resolved,
        unresolved,
        backlog,
        resolved_unresolved, 
        resolved_backlog, 
        unresolved_backlog
      };
    } catch (error) {
      console.log(
        `Couldn't get error lists:\n${error}\nDid you start the API?`
      );
      console.log(
        "HINT: You can comment out the full `asyncData` method and work with mocked data for UI/UX development, if you want to."
      );
    }
  },
  mounted: function() {
        // Calls the method before page loads
      //alert('Operator : Muhammad Usman')

    },
    
  methods: {
    move(){
      alert('This button is used to move the error to resolved')
    },
    refresh() {
        this.$nuxt.refresh()
      }
  }
};
</script>